package libreoffice-common 1:3.3.2-1ubuntu4 failed to install/upgrade: subprocess dpkg-deb --control returned error exit status 2

Bug #786172 reported by Berker Peköz on 2011-05-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libreoffice (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: libreoffice

I just did a fresh install and checked for updates but some updates failed because of dependency problems so i thought to give it a restart. after restrarting only impress works; writer and calc is gone and does not install

ProblemType: Package
DistroRelease: Ubuntu 11.04
Package: libreoffice-common 1:3.3.2-1ubuntu4
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
NonfreeKernelModules: fglrx
AptOrdering:
 firefox: Install
 libreoffice-common: Install
 firefox: Configure
 libreoffice-common: Configure
Architecture: amd64
Date: Fri May 20 22:35:56 2011
ErrorMessage: subprocess dpkg-deb --control returned error exit status 2
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
PackageArchitecture: all
SourcePackage: libreoffice
Title: package libreoffice-common 1:3.3.2-1ubuntu4 failed to install/upgrade: subprocess dpkg-deb --control returned error exit status 2
UpgradeStatus: No upgrade log present (probably fresh install)

Berker Peköz (nonkreon) wrote :
Berker Peköz (nonkreon) wrote :

Cleaning apt-cache resolves the problem.

Changed in libreoffice (Ubuntu):
status: New → Invalid
Paulo Sequeira (psequeirag) wrote :
Download full text (3.5 KiB)

The last weekly update for Ubuntu reported failure and it looks like the libreoffice-common package is having issues:

~$ sudo apt-get check
[sudo] password for paulo:
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 libreoffice-core : Depends: libreoffice-common (> 1:6.3.4) but 1:6.3.3-0ubuntu0.19.10.1 is installed
 libreoffice-help-common : Depends: libreoffice-common (= 1:6.3.4-0ubuntu0.19.10.1) but 1:6.3.3-0ubuntu0.19.10.1 is installed
 libreoffice-help-en-gb : Depends: libreoffice-common (= 1:6.3.4-0ubuntu0.19.10.1) but 1:6.3.3-0ubuntu0.19.10.1 is installed
 libreoffice-help-en-us : Depends: libreoffice-common (= 1:6.3.4-0ubuntu0.19.10.1) but 1:6.3.3-0ubuntu0.19.10.1 is installed
 libreoffice-l10n-en-gb : Depends: libreoffice-common (= 1:6.3.4-0ubuntu0.19.10.1) but 1:6.3.3-0ubuntu0.19.10.1 is installed
 libreoffice-l10n-en-za : Depends: libreoffice-common (= 1:6.3.4-0ubuntu0.19.10.1) but 1:6.3.3-0ubuntu0.19.10.1 is installed
 libreoffice-ogltrans : Depends: libreoffice-common (= 1:6.3.4-0ubuntu0.19.10.1) but 1:6.3.3-0ubuntu0.19.10.1 is installed
 libreoffice-pdfimport : Depends: libreoffice-common (= 1:6.3.4-0ubuntu0.19.10.1) but 1:6.3.3-0ubuntu0.19.10.1 is installed
 libreoffice-style-breeze : Depends: libreoffice-common (= 1:6.3.4-0ubuntu0.19.10.1) but 1:6.3.3-0ubuntu0.19.10.1 is installed
 libreoffice-style-colibre : Depends: libreoffice-common (= 1:6.3.4-0ubuntu0.19.10.1) but 1:6.3.3-0ubuntu0.19.10.1 is installed
 libreoffice-style-elementary : Depends: libreoffice-common (= 1:6.3.4-0ubuntu0.19.10.1) but 1:6.3.3-0ubuntu0.19.10.1 is installed
 libreoffice-style-tango : Depends: libreoffice-common (= 1:6.3.4-0ubuntu0.19.10.1) but 1:6.3.3-0ubuntu0.19.10.1 is installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).

~$ sudo apt --fix-broken install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following additional packages will be installed:
  libreoffice-common
The following packages will be upgraded:
  libreoffice-common
1 upgraded, 0 newly installed, 0 to remove and 3 not upgraded.
25 not fully installed or removed.
Need to get 0 B/33.7 MB of archives.
After this operation, 7,168 B of additional disk space will be used.
Do you want to continue? [Y/n]
(Reading database ... 326394 files and directories currently installed.)
Preparing to unpack .../libreoffice-common_1%3a6.3.4-0ubuntu0.19.10.1_all.deb ...
Unpacking libreoffice-common (1:6.3.4-0ubuntu0.19.10.1) over (1:6.3.3-0ubuntu0.19.10.1) ...
dpkg: error processing archive /var/cache/apt/archives/libreoffice-common_1%3a6.3.4-0ubuntu0.19.10.1_
all.deb (--unpack):
 unable to open '/usr/lib/libreoffice/share/gallery/personas/sand/footer.png.dpkg-new': Operation not
 permitted
rmdir: failed to remove '/var/lib/libreoffice/share/prereg/': No such file or directory
rmdir: failed to remove '/var/lib/libreoffice/share/': No such file or directory
rmdir: failed to remove '/var/lib/libreoffice/progr...

Read more...

Paulo Sequeira (psequeirag) wrote :

Oops, posted a comment to the wrong bug. Please ignore comment #3.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers